Redmine - Defect #25106

"Spent time" in all issues, show as 0 with no permission
2017-02-16 13:21 - Sergiy Melnychuk

Status: Confirmed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Time tracking Estimated time: 0.00 hour
Target version:

Resolution: Affected version: 3.3.1
Description

Step 1: Create role "Clients" with those Permissions
Path: Administration -> Roles and permissions (Roles) -> New role

I'm uncheck all checkboxes on "Time tracking" area

Step 2: I'm add User to Test Project with this Role

Path: Projects -> Test Project -> Settings -> Members tab

Vv Test Project

Settings

Information || Modules || Members || Versions || Issue categories 4 »

& New member

User / Group Roles

Redmine A. Reporter 2 Edit @ Delete

Client Clients A Edit W Delete
Step 3: Go to my issues list in my Test project, and see this

Path: Projects -> Test Project -> Issues
] #- Tracker Status Priority Subject Estimated time Assignee Updated Target version

] B HHCTpyKUMM MNew Normal Tastk Redmine 15.02.2017 19:04 0.1.0
Instructions A,

IR Bug MNew Normal Second 5.00 15.02.2017 19:03 0.1.0
SubTask

O =z Bug MNew Normal First SubTask 10.00 Redmine 15.02.2017 19:03 0.1.0

11 Bug In Progress Normal First Task 15.02.2017 19:03 0.1.0

(1-4/4)

Also available in: B} Atom | CSV | PDF

Its all right, i'm dont see "Spent time"
Step 4: Go to Path: Projects -> View all issues

Expected: | Shoud not see the column "Spent time" and the values in it. Column "Spent time" is hidden
Actual: | can see "Spent time" column and values in it

Issues @ New issue
* Filters
Status open |~ Add filter w

» Options N
It's Mot OK!
« Apply ?9 Clear [ Save @

0 =#~ Project Tracker Status Priority Subject Estimated time Spent time Assignee Updated Target version
[0 6 TestProject WHCTpyKUMK New Normal Tastk Instructions 0.00 Redmine A. 15.02.2017 19:04 Test Project - 0.1.0
[ 3 |TestProject Bug MNew Normal Second SubTask 5.00 0.00 15.02.2017 19:03 Test Project - 0.1.0
[0 2 TestProject Bug New Normal First SubTask 10.00 20.00 Redmine A. 15.02.2017 19:03 |Test Project - 0.1.0
[0 1 TestProject Bug In Progress Normal First Task 0.00 15.02.2017 19:03 Test Project - 0.1.0
(1-4/4)

Also available in: E) Atom | CSV | PDF

History

#1 - 2017-02-16 13:40 - Toshi MARUYAMA
- Subject changed from "Spent time in path Projects -> View all issues, with no rules on it to "Spent time" in all issues, show as 0 with no permission
- Status changed from New to Confirmed

- Priority changed from Urgent to Normal

#2 - 2017-02-16 13:58 - Toshi MARUYAMA
- File issue25106.png added

issue25106.png

#3 - 2017-02-16 14:16 - Sergiy Melnychuk
See more details on youtube

#4 - 2017-02-27 15:16 - Sergiy Melnychuk

We have same bug in:
1. Redmine 3.3.2.stable WITH Plugins see more on YouTube https://youtu.be/wZ8uKGHNSwA
2. Blank Redmine 3.3.2.stable WITHOUT Plugins see more on YouTube https://youtu.be/zoPdCeBTU60

#5 - 2017-02-27 15:38 - Sergiy Melnychuk
Toshi MARUYAMA wrote:

(-]

What permissions does your Role in your print-screen? My "Client" Role had those permissions
Can you upload screen of your role permissions?
https://youtu.be/O0CbxDB2jcQ
https://youtu.be/wZ8uKGHNSwA
https://youtu.be/zoPdCeBTU60
http://www.redmine.org/attachments/download/17759/roles_permissions.png

#6 - 2017-03-16 13:17 - Sergiy Melnychuk
SOLVED with triks

Step 1: Edit Custom Role "Non member"
Step 2: Uncheck "View spent time", in "Time tracking" area
Step 3: Save changes

See more on YouTube
https://www.youtube.com/watch?v=ioa8AyG57SQ
